## org.apache.fop.fo.expr
Class PropertyInfo

    java.lang.Object
      |
      +--org.apache.fop.fo.expr.PropertyInfo

public class PropertyInfo
extends java.lang.Object

This class holds context information needed during property expression evaluation. It holds the Maker object for the property, the PropertyList being built, and the FObj parent of the FObj for which the property is being set.

Constructor Summary
`PropertyInfo(Property.Maker maker, PropertyList plist, FObj fo)`

Method Summary
`int` `currentFontSize()` Return the current font-size value as base units (milli-points).
`FObj` `getFO()`
`PercentBase` `getPercentBase()` Return the PercentBase object used to calculate the absolute value from a percent specification.
`PropertyList` `getPropertyList()`
`boolean` `inheritsSpecified()` Return whether this property inherits specified values.
`void` `popFunction()`
`void` `pushFunction(Function func)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyInfo

    public PropertyInfo(Property.Maker maker,
                        PropertyList plist,
                        FObj fo)

Method Detail

### inheritsSpecified

    public boolean inheritsSpecified()

  Return whether this property inherits specified values. Propagates to the Maker.
  Returns:
    true if the property inherits specified values, false if it inherits computed values.

### getPercentBase

    public PercentBase getPercentBase()

  Return the PercentBase object used to calculate the absolute value from a percent specification. Propagates to the Maker.
  Returns:
    The PercentBase object or null if percentLengthOK()=false.

### currentFontSize

    public int currentFontSize()

  Return the current font-size value as base units (milli-points).

### getFO

    public FObj getFO()

### getPropertyList

    public PropertyList getPropertyList()

### pushFunction

    public void pushFunction(Function func)

### popFunction

    public void popFunction()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.